## grpn 1.0.4

=== Makefile ===
# Makefile by Paul Wilkins
# this will compile the program 'grpn'
# Please read the next few lines and enter the correct values.

# What compiler should be used
CC = gcc 

# Where to find the gtk-config script
GTK_DIR =
#GTK_DIR = /loc/libs/gtk+-1.0.6/bin/


# NOTE:
#
# add -DGTK_VER_1_1 to the CFLAGS if you are using GTK version 1.1.0 or higher
#
# add -DUSE_GNOME if you want to make grpn GNOME compliant.


CFLAGS = -g -O3 -I/usr/X11/include  `$(GTK_DIR)gtk-config --cflags` -DGTK_VER_1_1

DFLAGS =  -L/usr/X11/lib 

# end of user configurable section



OBJS = test_gtk_ver.o real.o complex.o matrix.o number.o \
        funcs.o constant.o button_def.o run_cmd.o \
	main.o stack.o lcd.o setup_menu.o callback_menu.o \
	process_input.o options.o \
	setup_buttons.o callback_buttons.o editor.o \
	error.o help.o mode.o undo.o



LIBS   = `$(GTK_DIR)gtk-config --libs` -lX11 -lm 


grpn:	$(OBJS)
	$(CC) $(DFLAGS) -o $@ $(OBJS) $(LIBS) 

pure:	$(OBJS)
	$(PURIFY) $(CC) $(DFLAGS) -o $@ $(OBJS) $(LIBS) 

install:	grpn
	cp grpn /usr/local/bin
	chmod 755 /usr/local/bin/grpn

.c.o:
	$(CC) -c -o $@ $(CFLAGS) $*.c

depend:
	rm -f .depend
	$(CC) -MM $(CFLAGS) *.c >> .depend


clean:
	rm -f core grpn *.o

include .depend

## grpn 1.1.1

=== Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 # add -DUSE_GNOME if you want to make grpn GNOME compliant.
 
 
-CFLAGS = -g -O3 -I/usr/X11/include  `$(GTK_DIR)gtk-config --cflags` -DGTK_VER_1_1
+CFLAGS = -g -O2 -I/usr/X11/include  `$(GTK_DIR)gtk-config --cflags` -DGTK_VER_1_1
 
 DFLAGS =  -L/usr/X11/lib

## grpn 1.1.2

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,9 @@
 # Makefile by Paul Wilkins
 # this will compile the program 'grpn'
 # Please read the next few lines and enter the correct values.
+
+# where to install GRPN
+PREFIX = /usr/local/
 
 # What compiler should be used
 CC = gcc 
@@ -44,8 +47,12 @@
 	$(PURIFY) $(CC) $(DFLAGS) -o $@ $(OBJS) $(LIBS) 
 
 install:	grpn
-	cp grpn /usr/local/bin
-	chmod 755 /usr/local/bin/grpn
+	mkdirhier $(PREFIX)/bin
+	cp grpn $(PREFIX)/bin
+	chmod 755 $(PREFIX)/bin/grpn
+	mkdirhier $(PREFIX)/man/man1
+	cp grpn.1 $(PREFIX)/man/man1
+	chmod 644 $(PREFIX)/man/man1/grpn.1
 
 .c.o:
 	$(CC) -c -o $@ $(CFLAGS) $*.c

=== debian/changelog ===
grpn (1.1.2-3.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix spurious debian/patches/03_gtk2.patch head in
    debian/patches/03_gtk2.patch (Closes: #781450).

 -- Samuel Thibault <sthibault@debian.org>  Mon, 30 Mar 2015 19:32:40 +0200

grpn (1.1.2-3.1) unstable; urgency=low

  * Non-maintainer upload; ACKed by the maintainer.
  * Remove deprecated dpatch and upgrade to packaging format "3.0 quilt"
    (Closes: #668359).
  * Update to Standards-Version to 3.9.3 and debhelper to 9.
  * Add build-arch and build-indep targets; use dh_prep in rules file.
  * Fix dh_desktop-is-deprecated (Lintian) by removing it.

 -- Jari Aalto <jari.aalto@cante.net>  Fri, 11 May 2012 19:50:07 +0300

grpn (1.1.2-3) unstable; urgency=low

  * "Thank you, Barry" release
  * Changes by Barry deFreese <bdefreese@debian.org>:
  * Build with Gtk2. (Closes: #515316).
    + Change libgtk1.2-dev build-dep to libgtk2.0-dev.
    + 03_gtk2.dpatch.
  * Added .desktop file (Closes: #375515)
    + Thanks to Vassilis Pandis.
  * debian/patches/02_add_includes.dpatch: add missing includes
    + Thanks to Michael Bienia.
  * Make clean not ignore errors.
  * Add ${misc:Depends} for debhelper package.
  * Quote strings in menu file.
  * Add appropriate copyright holder to debian/copyright.
  * Version path to GPL license. (GPL-2).
  * Bump debhelper build-dep to >= 5.
  * Move DH_COMPAT from rules to debian/compat and set to 5.
  * Bump Standards Version to 3.8.0.
    + Menu policy transition.

 -- Wartan Hachaturow <wart@debian.org>  Mon, 02 Mar 2009 15:22:22 +0300

grpn (1.1.2-2) unstable; urgency=low

  * Fixed problems with locale (Closes: #253415)
  * Extended the description (Closes: #209527)

 -- Wartan Hachaturow <wart@debian.org>  Sun, 17 Oct 2004 16:04:58 +0400

grpn (1.1.2-1) unstable; urgency=low

  * Adopted (Closes: #174112)
  * New upstream version
  * Upstream version now has its own manpage, replace the Debian one.
  * Binaries and manual pages no more get installed in /usr/X11R6, since
    the package doesn't use imake.
  * Removed emacs cruft from changelog.
  * Changed build depends to remove gnome-dev, since package gets compiled 
    without gnome toolbar support.

 -- Wartan Hachaturow <wart@debian.org>  Wed, 25 Dec 2002 11:47:07 +0300

grpn (1.1.1-3) unstable; urgency=low

  * Adopted (Closes: #87153)
  * Added hint (Closes: #80029)
  * Added a manpage
  * Added build-depends (Closes: #84488)

 -- Brian Russo <wolfie@debian.org>  Sat, 24 Feb 2001 01:44:59 -1000

grpn (1.1.1-2) unstable; urgency=low

  * Recompiled with latest libraries.
  * Upgraded Standards-Version.

 -- Robert S. Edmonds <edmonds@debian.org>  Mon, 16 Oct 2000 23:36:50 +0000

grpn (1.1.1-1) unstable; urgency=low

  * New upstream release.

 -- Robert S. Edmonds <stu@novare.net>  Wed,  9 Aug 2000 14:49:24 -0400

grpn (1.1.0-1) unstable; urgency=low

  * New upstream release.

 -- Robert S. Edmonds <stu@novare.net>  Sat, 12 Jun 1999 16:24:01 -0400

grpn (1.0.4-1) unstable; urgency=low

  * Initial Release.

 -- Robert S. Edmonds <stu@novare.net>  Mon, 22 Mar 1999 19:41:45 -0500

=== debian/control ===
Source: grpn
Section: math
Priority: extra
Maintainer: Wartan Hachaturow <wart@debian.org>
Build-Depends: debhelper (>= 9), libgtk2.0-dev
Standards-Version: 3.9.3

Package: grpn
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GTK+ reverse polish notation calculator
 grpn is an RPN calculator which uses the GTK+ widgets. It
 works with real and complex numbers, has 4 different radix
 modes, supports general math functions along with logarithmic
 and trigonometric functions.  Calculator stack is only limited
 by free memory.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for grpn, GNU Copyright 2001 Brian Russo
# Derived from works of Craig Small, Joey Hess, and Christoph Lameter

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PACKAGE=grpn

build-arch: build
build-indep: build

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	touch build-stamp

clean: clean1

clean1:	
	dh_testdir
	dh_testroot
	$(MAKE) clean

	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	install -D -m644 debian/grpn.desktop $(CURDIR)/debian/$(PACKAGE)/usr/share/applications/grpn.desktop
	install -o root -m 0755 $(CURDIR)/$(PACKAGE) $(CURDIR)/debian/$(PACKAGE)/usr/bin/

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installmenu
	dh_installchangelogs CHANGES 
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

source diff:								      
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary clean1

## grpn 1.3.3-1

=== Makefile ===
--- 
+++ 
@@ -8,11 +8,6 @@
 # What compiler should be used
 CC = gcc 
 
-# Where to find the gtk-config script
-GTK_DIR =
-#GTK_DIR = /loc/libs/gtk+-1.0.6/bin/
-
-
 # NOTE:
 #
 # add -DGTK_VER_1_1 to the CFLAGS if you are using GTK version 1.1.0 or higher
@@ -20,7 +15,7 @@
 # add -DUSE_GNOME if you want to make grpn GNOME compliant.
 
 
-CFLAGS = -g -O2 -I/usr/X11/include  `$(GTK_DIR)gtk-config --cflags` -DGTK_VER_1_1
+CFLAGS = -g -O2 -I/usr/X11/include  `pkg-config --cflags gtk+-2.0` -DGTK_VER_1_1
 
 DFLAGS =  -L/usr/X11/lib 
 
@@ -35,10 +30,7 @@
 	setup_buttons.o callback_buttons.o editor.o \
 	error.o help.o mode.o undo.o
 
-
-
-LIBS   = `$(GTK_DIR)gtk-config --libs` -lX11 -lm 
-
+LIBS   = `pkg-config --libs gtk+-2.0` -lX11 -lm
 
 grpn:	$(OBJS)
 	$(CC) $(DFLAGS) -o $@ $(OBJS) $(LIBS)

=== debian/changelog ===
grpn (1.3.3-1) unstable; urgency=low
  *  Bugfix: Convert "." button to "," if decimal operator is set
     to comma by locale settings.
   
 -- Jens Getreu  <getreu@web.de>  Fri, 6 May 2011 19:05:33 +0200grpn (1.3.2-1) unstable; urgency=low

grpn (1.3.2-1) unstable; urgency=low
  *  Cntr-c copies the bottom of the stack to the Gnome-clipboard.
     (Cntr-v not implemented yet).
     Complex numbers are displayed with ";" instead of ",".
     "," is decimal separator in some locales.
   
 -- Jens Getreu  <getreu@web.de>  Fri, 6 May 2011 19:05:33 +0200

grpn (1.3.1-1) unstable; urgency=low

  * Basemode defaults now to dec like the original version 1.1.2.
    A new command line option -bm dec|eng|bin|oct|hex allows to
    change the default value for basemode.

 -- Jens Getreu  <getreu@web.de>  Fri, 29 Apr 2011 12:01:19 +0200

grpn (1.3.0-1) unstable; urgency=low

  * Merge of debian patches grpn-1.1.2-3
    and sources grpn-1.7.4.1 (getreu.net) and
    including the following enhancements:
    + Introduced DECIMAL_ENG mode for engineer notation.
    + The complex function can now not only create complex numbers
      but also decompose them.
    + new function "mod"=remainder introduced.

 -- Jens Getreu  <getreu@web.de>  Wed, 27 Apr 2011 20:19:22 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: math
 Priority: extra
 Maintainer: Wartan Hachaturow <wart@debian.org>
-Build-Depends: debhelper (>= 9), libgtk2.0-dev
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 5), dpatch, libgtk2.0-dev
+Standards-Version: 3.8.0
 
 Package: grpn
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -7,16 +7,15 @@
 
 PACKAGE=grpn
 
-build-arch: build
-build-indep: build
+include /usr/share/dpatch/dpatch.make
 
 build: build-stamp
-build-stamp:
+build-stamp: patch
 	dh_testdir
 	$(MAKE)
 	touch build-stamp
 
-clean: clean1
+clean: clean1 unpatch
 
 clean1:	
 	dh_testdir
@@ -29,10 +28,13 @@
 install-stamp: build-stamp
 	dh_testdir
 	dh_testroot
-	dh_prep
+	dh_clean -k
 	dh_installdirs
+	dh_desktop -pgrpn
 	install -D -m644 debian/grpn.desktop $(CURDIR)/debian/$(PACKAGE)/usr/share/applications/grpn.desktop
 	install -o root -m 0755 $(CURDIR)/$(PACKAGE) $(CURDIR)/debian/$(PACKAGE)/usr/bin/
+	install -d debian/grpn/usr/share/pixmaps
+	cp debian/grpn.xpm debian/grpn/usr/share/pixmaps/grpn.xpm
 
 # Build architecture-independent files here.
 binary-indep: build install
@@ -56,9 +58,21 @@
 	dh_md5sums
 	dh_builddeb
 
-source diff:								      
+source diff:                                                                  
 	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false
 
 binary: binary-indep binary-arch
 
-.PHONY: build clean binary-indep binary-arch binary clean1
+# And now the simple things for dpatch. Here we only apply/unapply the patches.
+
+patch: patch-stamp
+
+patch-stamp:
+	dpatch apply-all
+	touch patch-stamp
+
+unpatch:
+	dpatch deapply-all
+	rm -rf patch-stamp debian/patched
+
+.PHONY: build clean binary-indep binary-arch binary patch unpatch clean1

## grpn 1.4.1

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,8 @@
 # Please read the next few lines and enter the correct values.
 
 # where to install GRPN
-PREFIX = /usr/local/
+PREFIX = /usr/local
+MANDIR = ${PREFIX}/man
 
 # What compiler should be used
 CC = gcc 
@@ -15,7 +16,7 @@
 # add -DUSE_GNOME if you want to make grpn GNOME compliant.
 
 
-CFLAGS = -g -O2 -I/usr/X11/include  `pkg-config --cflags gtk+-2.0` -DGTK_VER_1_1
+CFLAGS = -g -O2 -I/usr/X11/include -DUSE_PANGO `pkg-config --cflags gtk+-2.0` -DGTK_VER_1_1
 
 DFLAGS =  -L/usr/X11/lib 
 
@@ -39,12 +40,12 @@
 	$(PURIFY) $(CC) $(DFLAGS) -o $@ $(OBJS) $(LIBS) 
 
 install:	grpn
-	mkdirhier $(PREFIX)/bin
-	cp grpn $(PREFIX)/bin
-	chmod 755 $(PREFIX)/bin/grpn
-	mkdirhier $(PREFIX)/man/man1
-	cp grpn.1 $(PREFIX)/man/man1
-	chmod 644 $(PREFIX)/man/man1/grpn.1
+	mkdir -p $(DESTDIR)$(PREFIX)/bin
+	cp grpn $(DESTDIR)$(PREFIX)/bin
+	chmod 755 $(DESTDIR)$(PREFIX)/bin/grpn
+	mkdir -p $(DESTDIR)$(MANDIR)/man1
+	cp grpn.1 $(DESTDIR)$(MANDIR)/man1
+	chmod 644 $(DESTDIR)$(MANDIR)/man1/grpn.1
 
 .c.o:
 	$(CC) -c -o $@ $(CFLAGS) $*.c
@@ -55,7 +56,7 @@
 
 
 clean:
-	rm -f core grpn *.o
+	rm -f core* grpn *~ *.o
 
 include .depend

=== debian/changelog ===
grpn (1.4.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: Add build-{arch,indep} (Closes: #999170).

 -- Marcos Talau <talau@debian.org>  Wed, 02 Nov 2022 20:11:17 -0300

grpn (1.4.1-1) unstable; urgency=low

  [ Jens Getreu  ]
  *  Maintenance: Spec: define _desktopdir if not already

  [ Wartan Hachaturow ]
  * New upstream version (Closes: #624651)
  * Bump compat level to 9
  * Bump standards
  * Remove dpatch dependency (patches integrated upstream)
  * Resize desktop menu icon
  * Remove menu entry, leave just desktop
  * Change priority to optional

 -- Wartan Hachaturow <wart@debian.org>  Sun, 12 Nov 2017 11:53:32 +0300

grpn (1.4.0-1) stable; urgency=low

  *  New left and right shift operators.
     Some fixes for compilation warnings in regard to the mod 
     operator functions.
     New adds a gitignore file. 

 -- Jens Getreu  <getreu@web.de>  Sat, 02 Nov 2013 15:05:01 +0200

grpn (1.3.4-1) unstable; urgency=low

  *  If compiled with -DUSE_PANGO switch grpn uses the pango font 
     library and the Liberation Mono font as default. Can be 
     overwritten with the -fn-disp command line option. 
     Thanks to Jean-Pierre Demailly for implementing this new
     feature.
     Both keys "," and "." are always treated as decimal separator 
     whatever the locale is.

 -- Jens Getreu  <getreu@web.de>  Fri, 15 Dec 2011 19:05:33 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: grpn
 Section: math
-Priority: extra
+Priority: optional
 Maintainer: Wartan Hachaturow <wart@debian.org>
-Build-Depends: debhelper (>= 5), dpatch, libgtk2.0-dev
-Standards-Version: 3.8.0
+Build-Depends: debhelper (>= 5), libgtk2.0-dev
+Standards-Version: 4.1.1
 
 Package: grpn
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -7,17 +7,13 @@
 
 PACKAGE=grpn
 
-include /usr/share/dpatch/dpatch.make
-
 build: build-stamp
-build-stamp: patch
+build-stamp:
 	dh_testdir
 	$(MAKE)
 	touch build-stamp
 
-clean: clean1 unpatch
-
-clean1:	
+clean:	
 	dh_testdir
 	dh_testroot
 	$(MAKE) clean
@@ -28,9 +24,8 @@
 install-stamp: build-stamp
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs
-	dh_desktop -pgrpn
 	install -D -m644 debian/grpn.desktop $(CURDIR)/debian/$(PACKAGE)/usr/share/applications/grpn.desktop
 	install -o root -m 0755 $(CURDIR)/$(PACKAGE) $(CURDIR)/debian/$(PACKAGE)/usr/bin/
 	install -d debian/grpn/usr/share/pixmaps
@@ -45,7 +40,6 @@
 	dh_testdir
 	dh_testroot
 	dh_installdocs
-	dh_installmenu
 	dh_installchangelogs CHANGES 
 	dh_installman
 	dh_link
@@ -63,16 +57,7 @@
 
 binary: binary-indep binary-arch
 
-# And now the simple things for dpatch. Here we only apply/unapply the patches.
+build-arch: build
+build-indep: build
 
-patch: patch-stamp
-
-patch-stamp:
-	dpatch apply-all
-	touch patch-stamp
-
-unpatch:
-	dpatch deapply-all
-	rm -rf patch-stamp debian/patched
-
-.PHONY: build clean binary-indep binary-arch binary patch unpatch clean1
+.PHONY: build build-arch build-indep clean binary-indep binary-arch binary
